Package dev.plex.storage.permission

# Class SQLPermissions

java.lang.Object
dev.plex.storage.permission.SQLPermissions

public class SQLPermissions extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`private static final String`
`INSERT`
`private static final String`
`REMOVE_PERMISSION`
`private static final String`
`SELECT`
`private static final String`
`UPDATE_PERMISSION`

## Constructor Summary

Constructors
Constructor
Description
`SQLPermissions()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addPermission(Permission permission)`
`List<Permission>`
`getPermissions(UUID uuid)`
`void`
`removePermission(Permission permission)`
`void`
`removePermission(UUID uuid, String permission)`
`void`
`updatePermission(Permission permission, boolean newValue)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SELECT

private static final String SELECT

See Also:
  - Constant Field Values

### INSERT

private static final String INSERT

See Also:
  - Constant Field Values

### REMOVE_PERMISSION

private static final String REMOVE_PERMISSION

See Also:
  - Constant Field Values

### UPDATE_PERMISSION

private static final String UPDATE_PERMISSION

See Also:
  - Constant Field Values

## Constructor Details

### SQLPermissions

public SQLPermissions()

## Method Details

### getPermissions

public List<Permission> getPermissions(UUID uuid)

### addPermission

public void addPermission(Permission permission)

### updatePermission

public void updatePermission(Permission permission, boolean newValue)

### removePermission

public void removePermission(Permission permission)

### removePermission

public void removePermission(UUID uuid, String permission)